This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 447980 - Preupgrade traceback on x86_64 F8 install.
Preupgrade traceback on x86_64 F8 install.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 14:40 EDT by Mark Haney
Modified: 2009-01-09 01:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:32:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Haney 2008-05-22 14:40:29 EDT
Description of problem:
Just did a fresh install on an 64-bit opteron system with F8 to check out
preupgrade.  Everything works great until I get to the downloading boot stage
(stage2) and then preupgrade dies with a trace.  

Version-Release number of selected component (if applicable): 0.9.3-3.FC8


How reproducible:Every time.  GUI and CLI versions.


Steps to Reproduce:
1.CLean F8 install.
2.Yum update to latest packages.
3.run Preupgrade.
  
Actual results:I get this:

[root@waterrock ~]# Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 198, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 206, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 371, in main_preupgrade
    (mdev,mpath) = preupgrade.bootpath_to_anacondapath(stage2_abs)
TypeError: 'NoneType' object is not iterable


Expected results: preupgrade should have continued.  It's my first time using
it, so I can't say for certain what the next step should have been.


Additional info:Let me know what other info I can provide.
Comment 1 Will Woods 2008-10-27 12:17:38 EDT
This was due to preupgrade being unable to determine what physical device your /boot partition was on. 

Where was your /boot partition? Is it on a RAID device or something similar?

preupgrade-0.9.8 (in the updates-testing repo) might handle this better. I'm guessing you've already upgraded to Fedora 9 by now, but I'd like to make sure systems like yours will be able to make the transition to Fedora 10.
Comment 2 Mark Haney 2008-10-28 10:05:33 EDT
That could be the problem, it's actually on a hardware SATA RAID1 array, it's just a couple of hardware mirrored 250GB drives in a dual proc box.  Nothing special.  I wouldn't have expected HW RAID to have that trouble, but you guys are the experts.  Next upgrade (F10) I'll give it a shot and see how it works.
Comment 3 Bug Zapper 2008-11-26 05:45:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:32:21 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.